Package org.apache.commons.math3.analysis.solvers

# Class AbstractDifferentiableUnivariateSolver

java.lang.Object
org.apache.commons.math3.analysis.solvers.BaseAbstractUnivariateSolver<DifferentiableUnivariateFunction>
org.apache.commons.math3.analysis.solvers.AbstractDifferentiableUnivariateSolver

All Implemented Interfaces:
  `BaseUnivariateSolver<DifferentiableUnivariateFunction>`, `DifferentiableUnivariateSolver`

Direct Known Subclasses:
  `NewtonSolver`

@Deprecated public abstract class AbstractDifferentiableUnivariateSolver extends BaseAbstractUnivariateSolver<DifferentiableUnivariateFunction> implements DifferentiableUnivariateSolver
Deprecated.
as of 3.1, replaced by `AbstractUnivariateDifferentiableSolver`
Provide a default implementation for several functions useful to generic solvers.

Since:
  3.0

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractDifferentiableUnivariateSolver(double absoluteAccuracy)`
Deprecated.
Construct a solver with given absolute accuracy.
`protected`
`AbstractDifferentiableUnivariateSolver(double relativeAccuracy, double absoluteAccuracy, double functionValueAccuracy)`
Deprecated.
Construct a solver with given accuracies.

## Method Summary

Modifier and Type
Method
Description
`protected double`
`computeDerivativeObjectiveValue(double point)`
Deprecated.
Compute the objective function value.
`protected void`
`setup(int maxEval, DifferentiableUnivariateFunction f, double min, double max, double startValue)`
Deprecated.
Prepare for computation.

### Methods inherited from class org.apache.commons.math3.analysis.solvers.BaseAbstractUnivariateSolver

`computeObjectiveValue, doSolve, getAbsoluteAccuracy, getEvaluations, getFunctionValueAccuracy, getMax, getMaxEvaluations, getMin, getRelativeAccuracy, getStartValue, incrementEvaluationCount, isBracketing, isSequence, solve, solve, solve, verifyBracketing, verifyInterval, verifySequence`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.commons.math3.analysis.solvers.BaseUnivariateSolver

`getAbsoluteAccuracy, getEvaluations, getFunctionValueAccuracy, getMaxEvaluations, getRelativeAccuracy, solve, solve, solve`

## Constructor Details

### AbstractDifferentiableUnivariateSolver

protected AbstractDifferentiableUnivariateSolver(double absoluteAccuracy)
Deprecated.
Construct a solver with given absolute accuracy.

Parameters:
  `absoluteAccuracy` - Maximum absolute error.

### AbstractDifferentiableUnivariateSolver

protected AbstractDifferentiableUnivariateSolver(double relativeAccuracy, double absoluteAccuracy, double functionValueAccuracy)
Deprecated.
Construct a solver with given accuracies.

Parameters:
  `relativeAccuracy` - Maximum relative error.
  `absoluteAccuracy` - Maximum absolute error.
  `functionValueAccuracy` - Maximum function value error.

## Method Details

### computeDerivativeObjectiveValue

protected double computeDerivativeObjectiveValue(double point) throws TooManyEvaluationsException
Deprecated.
Compute the objective function value.

Parameters:
  `point` - Point at which the objective function must be evaluated.
Returns:
  the objective function value at specified point.
Throws:
  `TooManyEvaluationsException` - if the maximal number of evaluations is exceeded.

### setup

protected void setup(int maxEval, DifferentiableUnivariateFunction f, double min, double max, double startValue)
Deprecated.
Prepare for computation. Subclasses must call this method if they override any of the `solve` methods.

Overrides:
  `setup` in class `BaseAbstractUnivariateSolver<DifferentiableUnivariateFunction>`
Parameters:
  `maxEval` - Maximum number of evaluations.
  `f` - Function to solve.
  `min` - Lower bound for the interval.
  `max` - Upper bound for the interval.
  `startValue` - Start value to use.